#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>

int main(int argc, char **argv)
{
    NSMutableSet *strset = [NSMutableSet setWithCapacity:1];
    NSString 
        *str1 = [NSString stringWithCString:"abcd"],
        *str2 = [NSString stringWithCString:"abcd"];

    [strset addObject:str1];
    
    NSLog(@"%@ %@ %@\n", str1, str2,
          [strset member:@"abcd"]);
}
